BITCOIN-UTIL(1)

NAME
bitcoin-util - a tool to interact with the Bitcoin network without a running node

SYNOPSIS
bitcoin-util [options] [command]
bitcoin-util [options] grind <hex-block-header>

DESCRIPTION
Bitcoin Knots bitcoin-util utility version v29.4.0.knots20260508

The bitcoin-util tool provides bitcoin related functionality that does not rely on the ability to access a running node. Available [commands] are listed below.

OPTIONS

-help

    Print this help message and exit (also -h or -?)

-version

    Print version and exit

Debugging/Testing options:

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, testnet4, signet, regtest

-signet

    Use the signet chain. Equivalent to -chain=signet. Note that the network is defined by the -signetchallenge parameter

-signetblocktime

    Difficulty adjustment will target a block time of the given amount in seconds (only for custom signet networks, must have -signetchallenge set; defaults to 10 minutes)

-signetchallenge

    Blocks must satisfy the given script to be considered valid (only for signet networks; defaults to the global default signet test network challenge)

-signetseednode

    Specify a seed node for the signet network, in the hostname[:port] format, e.g. sig.net:1234 (may be used multiple times to specify multiple seed nodes; defaults to the global default signet test network seed node(s))

-testnet

    Use the testnet3 chain. Equivalent to -chain=test. Support for testnet3 is deprecated and will be removed in an upcoming release. Consider moving to testnet4 now by using -testnet4.

-testnet4

    Use the testnet4 chain. Equivalent to -chain=testnet4.

Commands:

    grind

    Perform proof of work on hex header string

COPYRIGHT
Copyright (C) 2009-2026 The Bitcoin Knots developers Copyright (C) 2009-2026 The Bitcoin Core developers

Please contribute if you find Bitcoin Knots useful. Visit <https://bitcoinknots.org/> for further information about the software. The source code is available from <https://github.com/bitcoinknots/bitcoin>.

This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT>

SEE ALSO
bitcoind(1), bitcoin-cli(1), bitcoin-tx(1), bitcoin-wallet(1), bitcoin-qt(1)